Bug 7275 - Pagination lost when click in the option "Show more" of facets column
Summary: Pagination lost when click in the option "Show more" of facets column
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Juan Romay Sieira
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-29 09:17 UTC by Juan Romay Sieira
Modified: 2013-12-05 19:59 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to solve it (4.24 KB, patch)
2011-11-29 09:18 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Signed-off patch (4.30 KB, patch)
2011-11-29 13:47 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Romay Sieira 2011-11-29 09:17:04 UTC
In the intranet or OPAC, if "Show more" link is clicked, the pagination will be lost, and always returns to page 1.

In the master version there is some code from Bug 4520 (in .pl scripts), but templates have issues, and it continues to malfunction.
Comment 1 Juan Romay Sieira 2011-11-29 09:18:37 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-11-29 13:47:23 UTC
Created attachment 6455 [details] [review]
Signed-off patch
Comment 3 Paul Poulain 2011-12-14 17:08:28 UTC
QA comment: small & clean patch, 
prove xt/author/translatable-templates.t
xt/author/translatable-templates.t .. ok   
All tests successful.

prove xt/author/valid-templates.t 
xt/author/valid-templates.t .. ok     
All tests successful.


passed QA

Patch pushed, please test
Comment 4 Jared Camins-Esakov 2012-05-23 12:09:05 UTC
Included in 3.6 prior to 3.6.5.